libvideo-frequencies-perl_0.03-1_all.deb installation crash

Bug #223815 reported by Lars Weber Madsen on 2008-04-28
34
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libvideo-capture-v4l-perl (Ubuntu)
High
Unassigned
libvideo-frequencies-perl (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: libvideo-frequencies-perl

When installing in Ubuntu 8.04 - the Hardy Heron - released in April 2008. Synaptic crash with this error
message (in danish)

E: /var/cache/apt/archives/libvideo-frequencies-perl_0.03-1_all.deb: forsøger at overskrive '/usr/share/man/man3/Video

(in english i suppose it shoul be: E: /var/cache/apt/archives/libvideo-frequencies-perl_0.03-1_all.deb: tries to write at '/usr/share/man/man3/Video)

ProblemType: Package
Architecture: i386
Date: Mon Apr 28 20:09:25 2008
Dependencies:

DistroRelease: Ubuntu 8.04
ErrorMessage: forsøger at overskrive '/usr/share/man/man3/Video
Package: libvideo-frequencies-perl None [modified: /var/lib/dpkg/info/libvideo-frequencies-perl.list]
PackageArchitecture: all
SourcePackage: libvideo-frequencies-perl
Title: package libvideo-frequencies-perl None [modified: /var/lib/dpkg/info/libvideo-frequencies-perl.list] failed to install/upgrade: forsøger at overskrive '/usr/share/man/man3/Video
Uname: Linux 2.6.24-16-386 i686

Here is the error (translated):

Unpacking libvideo-frequencies-perl (fra .../libvideo-frequencies-perl_0.03-1_all.deb)...
dpkg: error while processing /var/cache/apt/archives/libvideo-frequencies-perl_0.03-1_all.deb (--unpack):
 trying to overwrite '/usr/share/man/man3/Video::Frequencies.3pm.gz', that is also in package libvideo-capture-v4l-perl

Changed in libvideo-frequencies-perl:
importance: Undecided → High
status: New → Confirmed
Changed in libvideo-capture-v4l-perl:
importance: Undecided → High
status: New → Confirmed
Alessio Treglia (quadrispro) wrote :

It seems that libvideo-frequencies-perl provides a more updated version.

I think that removing Frequencies module from libvideo-capture-v4l-perl could be a good solution.

Changed in libvideo-capture-v4l-perl:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libvideo-capture-v4l-perl - 0.902-1ubuntu1

---------------
libvideo-capture-v4l-perl (0.902-1ubuntu1) jaunty; urgency=low

  * Add remove_frequencies patch to remove Video::Frequencies module, which
    is provided by libvideo-frequencies-perl (LP: #223815).
  * debian/control:
    - Depends on libvideo-frequencies-perl.
    - Update the description.
    - Update maintainer field as per spec.

 -- Alessio Treglia <email address hidden> Sat, 21 Feb 2009 01:51:54 +0100

Changed in libvideo-capture-v4l-perl:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libvideo-frequencies-perl - 0.03-1ubuntu1

---------------
libvideo-frequencies-perl (0.03-1ubuntu1) lucid; urgency=low

  * Replace older versions of libvideo-capture-v4l-perl, which shipped
    /usr/share/man/man3/Video::Frequencies.3pm.gz (LP: #223815).
 -- Colin Watson <email address hidden> Tue, 09 Mar 2010 13:14:29 +0000

Changed in libvideo-frequencies-perl (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers